<template>
	<div class="shard-particle" :class="{active : active}" :style="{transform : 'rotate('+deg+'deg)'}">
		<div class="icon" :style="{ 'background-image' : getShardImage(type) }">
		
		</div>
	</div>
</template>


<script>
	import { commonMixin } from '../mixins/common.js';
	
	export default {
		props: ['type'],
		data: function () {
			return {
				deg : 0,
				active : false
			}
		},
		created(){
			this.deg = Math.floor(Math.random() * 360) + 1 ;
			
			setTimeout(function(){
				this.active = true;
			}.bind(this), 1);
			
			setTimeout(function(){
				this.$destroy();
				this.$el.parentNode.removeChild(this.$el);
			}.bind(this), 500);
		},
		mixins: [commonMixin]
	}
</script>


<style lang="scss" scoped>
	.shard-particle{
		position: absolute;
		left: 20px;
		top: 20px;
		
		.icon{
			width: 20px;
			height: 20px;
			opacity: 1;
			transform: translateY(0);
			transition: all 0.5s;
			
			
		}
		
		&.active .icon{
			opacity: 0;
			transform: translateY(-50px);
		}
	}
</style>